
From: Marko Kohtala <marko.kohtala@gmail.com>

Make drivers that use directly PC parport HW depend on PARPORT_PC rather than
HW independent PARPORT.

Signed-off-by: Marko Kohtala <marko.kohtala@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/Kconfig        |    2 +-
 drivers/block/paride/Kconfig |    5 +++--
 drivers/scsi/Kconfig         |    8 ++++----
 3 files changed, 8 insertions(+), 7 deletions(-)

diff -puN drivers/block/Kconfig~parport-kconfig-dependency-fixes drivers/block/Kconfig
--- devel/drivers/block/Kconfig~parport-kconfig-dependency-fixes	2005-09-12 03:34:35.000000000 -0700
+++ devel-akpm/drivers/block/Kconfig	2005-09-12 03:34:35.000000000 -0700
@@ -117,7 +117,7 @@ config BLK_DEV_XD
 
 config PARIDE
 	tristate "Parallel port IDE device support"
-	depends on PARPORT
+	depends on PARPORT_PC
 	---help---
 	  There are many external CD-ROM and disk devices that connect through
 	  your computer's parallel port. Most of them are actually IDE devices
diff -puN drivers/block/paride/Kconfig~parport-kconfig-dependency-fixes drivers/block/paride/Kconfig
--- devel/drivers/block/paride/Kconfig~parport-kconfig-dependency-fixes	2005-09-12 03:34:35.000000000 -0700
+++ devel-akpm/drivers/block/paride/Kconfig	2005-09-12 03:34:35.000000000 -0700
@@ -4,11 +4,12 @@
 # PARIDE doesn't need PARPORT, but if PARPORT is configured as a module,
 # PARIDE must also be a module.  The bogus CONFIG_PARIDE_PARPORT option
 # controls the choices given to the user ...
+# PARIDE only supports PC style parports. Tough for USB or other parports...
 config PARIDE_PARPORT
 	tristate
 	depends on PARIDE!=n
-	default m if PARPORT=m
-	default y if PARPORT!=m
+	default m if PARPORT_PC=m
+	default y if PARPORT_PC!=m
 
 comment "Parallel IDE high-level drivers"
 	depends on PARIDE
diff -puN drivers/scsi/Kconfig~parport-kconfig-dependency-fixes drivers/scsi/Kconfig
--- devel/drivers/scsi/Kconfig~parport-kconfig-dependency-fixes	2005-09-12 03:34:35.000000000 -0700
+++ devel-akpm/drivers/scsi/Kconfig	2005-09-12 03:34:35.000000000 -0700
@@ -943,7 +943,7 @@ config SCSI_INIA100
 
 config SCSI_PPA
 	tristate "IOMEGA parallel port (ppa - older drives)"
-	depends on SCSI && PARPORT
+	depends on SCSI && PARPORT_PC
 	---help---
 	  This driver supports older versions of IOMEGA's parallel port ZIP
 	  drive (a 100 MB removable media device).
@@ -970,7 +970,7 @@ config SCSI_PPA
 
 config SCSI_IMM
 	tristate "IOMEGA parallel port (imm - newer drives)"
-	depends on SCSI && PARPORT
+	depends on SCSI && PARPORT_PC
 	---help---
 	  This driver supports newer versions of IOMEGA's parallel port ZIP
 	  drive (a 100 MB removable media device).
@@ -997,7 +997,7 @@ config SCSI_IMM
 
 config SCSI_IZIP_EPP16
 	bool "ppa/imm option - Use slow (but safe) EPP-16"
-	depends on PARPORT && (SCSI_PPA || SCSI_IMM)
+	depends on SCSI_PPA || SCSI_IMM
 	---help---
 	  EPP (Enhanced Parallel Port) is a standard for parallel ports which
 	  allows them to act as expansion buses that can handle up to 64
@@ -1012,7 +1012,7 @@ config SCSI_IZIP_EPP16
 
 config SCSI_IZIP_SLOW_CTR
 	bool "ppa/imm option - Assume slow parport control register"
-	depends on PARPORT && (SCSI_PPA || SCSI_IMM)
+	depends on SCSI_PPA || SCSI_IMM
 	help
 	  Some parallel ports are known to have excessive delays between
 	  changing the parallel port control register and good data being
_
